X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

I am unable to upgrade to Firefox 4. I have upgraded my operating system .

Posted

Although I have upgraded the operating system on my iBookG4 to Mac OS X 10.5.8, I am still unable to download the latest upgrade to Firefox 4. I currently am receiving security warnings on websites that I often visit. I have been told to switch to Safari, I prefer not to. Please advise.

Additional System Details

This started when...

started when I tried to upgrade to the Firefox 4, about 10 days ago.

Installed Plug-ins

  • Gecko default plugin
  • Runs Java applets using the latest installed versions of Java. For more information: Java Embedding Plugin. Run version test: Java Information.
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in web pages. For more information, visit the QuickTime Web site.
  • Shockwave Flash 10.1 r85
  • The Flip4Mac WMV Plugin allows you to view Windows Media content using QuickTime.
  • The Google Earth Plugin allows you to view 3D imagery and terrain in your web browser.
  • Macromedia Shockwave for Director Netscape plug-in, version 10.1.1

Application

  • User Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X 10.5; en-US; rv:1.9.1.8) Gecko/20100202 Firefox/3.5.8

More Information

I upgraded my operating system when I saw the need on the instruction page.... it made no difference.

ideato
  • Top 25 Contributor
617 solutions 4263 answers

https://support.mozilla.com/en-US/questions/892083

thank you